Package org.drinkless.tdlib

# Class TdApi.AgeVerificationParameters

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AgeVerificationParameters

Enclosing class:
  `TdApi`

public static class TdApi.AgeVerificationParameters extends TdApi.Object
Describes parameters for age verification of the current user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `country`
  Unique name for the country or region, which legislation required age verification.
  `int`
  `minAge`
  The minimum age required to view restricted content.
  `String`
  `verificationBotUsername`
  Username of the bot which main Web App may be used to verify age of the user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AgeVerificationParameters()`
  Describes parameters for age verification of the current user.
  `AgeVerificationParameters(int minAge, String verificationBotUsername, String country)`
  Describes parameters for age verification of the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### minAge

    public int minAge
    The minimum age required to view restricted content.

  - ### verificationBotUsername

    public String verificationBotUsername
    Username of the bot which main Web App may be used to verify age of the user.

  - ### country

    public String country
    Unique name for the country or region, which legislation required age verification. May be used to get the corresponding localization key.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AgeVerificationParameters

    public AgeVerificationParameters()
    Describes parameters for age verification of the current user.

  - ### AgeVerificationParameters

    public AgeVerificationParameters(int minAge, String verificationBotUsername, String country)
    Describes parameters for age verification of the current user.
    Parameters:
      `minAge` - The minimum age required to view restricted content.
      `verificationBotUsername` - Username of the bot which main Web App may be used to verify age of the user.
      `country` - Unique name for the country or region, which legislation required age verification. May be used to get the corresponding localization key.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR